Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JasperManager

    java.lang.Object
      net.sf.jasperreports.engine.JasperManager

Deprecated. Use the specialized fa�ade classes for specific operations

    public final class JasperManager

extends java.lang.Object

General purpose fa�ade class for the JasperReports engine. It delegates almost all its functionality to the other specialized fa�ade classes for compiling, filling, printing or exporting reports.

Version:
  $Id: JasperManager.java 3712 2010-04-08 09:53:09Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  `JasperCompileManager`, `JasperFillManager`, `JasperPrintManager`, `JasperExportManager`, `JasperRunManager`, `JRLoader`, `JRXmlLoader`

Method Summary
`static JasperReport` | `compileReport(java.io.InputStream inputStream)` Deprecated. Replaced by `JasperCompileManager.compileReport(InputStream)`.
`static JasperReport` | `compileReport(JasperDesign jasperDesign)` Deprecated. Replaced by `JasperCompileManager.compileReport(JasperDesign)`.
`static JasperReport` | `compileReport(java.lang.String sourceFileName)` Deprecated. Replaced by `JasperCompileManager.compileReport(String)`.
`static void` | `compileReportToFile(JasperDesign jasperDesign, java.lang.String destFileName)` Deprecated. Replaced by `JasperCompileManager.compileReportToFile(JasperDesign, String)`.
`static java.lang.String` | `compileReportToFile(java.lang.String sourceFileName)` Deprecated. Replaced by `JasperCompileManager.compileReportToFile(String)`.
`static void` | `compileReportToFile(java.lang.String sourceFileName, java.lang.String destFileName)` Deprecated. Replaced by `JasperCompileManager.compileReportToFile(String, String)`.
`static void` | `compileReportToStream(java.io.InputStream inputStream, java.io.OutputStream outputStream)` Deprecated. Replaced by `JasperCompileManager.compileReportToStream(InputStream, OutputStream)`.
`static void` | `compileReportToStream(JasperDesign jasperDesign, java.io.OutputStream outputStream)` Deprecated. Replaced by `JasperCompileManager.compileReportToStream(JasperDesign, OutputStream)`.
`static JasperPrint` | `fillReport(java.io.InputStream inputStream, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperFillManager.fillReport(InputStream, Map, Connection)`.
`static JasperPrint` | `fillReport(java.io.InputStream inputStream, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperFillManager.fillReport(InputStream, Map, JRDataSource)`.
`static JasperPrint` | `fillReport(JasperReport jasperReport, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperFillManager.fillReport(JasperReport, Map, Connection)`.
`static JasperPrint` | `fillReport(JasperReport jasperReport, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperFillManager.fillReport(JasperReport, Map, JRDataSource)`.
`static JasperPrint` | `fillReport(java.lang.String sourceFileName, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperFillManager.fillReport(String, Map, Connection)`.
`static JasperPrint` | `fillReport(java.lang.String sourceFileName, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperFillManager.fillReport(String, Map, JRDataSource)`.
`static void` | `fillReportToFile(JasperReport jasperReport, java.lang.String destFileName, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperFillManager.fillReportToFile(JasperReport, String, Map, Connection)`.
`static void` | `fillReportToFile(JasperReport jasperReport, java.lang.String destFileName, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperFillManager.fillReportToFile(JasperReport, String, Map, JRDataSource)`.
`static java.lang.String` | `fillReportToFile(java.lang.String sourceFileName, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperFillManager.fillReportToFile(String, Map, Connection)`.
`static java.lang.String` | `fillReportToFile(java.lang.String sourceFileName, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperFillManager.fillReportToFile(String, Map, JRDataSource)`.
`static void` | `fillReportToFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperFillManager.fillReportToFile(String, String, Map, Connection)`.
`static void` | `fillReportToFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperFillManager.fillReportToFile(String, String, Map, JRDataSource)`.
`static void` | `fillReportToStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperFillManager.fillReportToStream(InputStream, OutputStream, Map, Connection)`.
`static void` | `fillReportToStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperFillManager.fillReportToStream(InputStream, OutputStream, Map, JRDataSource)`.
`static void` | `fillReportToStream(JasperReport jasperReport, java.io.OutputStream outputStream, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperFillManager.fillReportToStream(JasperReport, OutputStream, Map, Connection)`.
`static void` | `fillReportToStream(JasperReport jasperReport, java.io.OutputStream outputStream, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperFillManager.fillReportToStream(JasperReport, OutputStream, Map, JRDataSource)`.
`static JasperDesign` | `loadDesign(java.io.InputStream inputStream)` Deprecated. Use `JRLoader.loadObject(InputStream)` with the appropriate cast.
`static JasperDesign` | `loadDesign(java.lang.String fileName)` Deprecated. Use `JRLoader.loadObject(String)` with the appropriate cast.
`static JasperPrint` | `loadPrint(java.io.InputStream inputStream)` Deprecated. Use `JRLoader.loadObject(InputStream)` with the appropriate cast.
`static JasperPrint` | `loadPrint(java.lang.String fileName)` Deprecated. Use `JRLoader.loadObject(String)` with the appropriate cast.
`static JasperReport` | `loadReport(java.io.InputStream inputStream)` Deprecated. Use `JRLoader.loadObject(InputStream)` with the appropriate cast.
`static JasperReport` | `loadReport(java.lang.String fileName)` Deprecated. Use `JRLoader.loadObject(String)` with the appropriate cast.
`static JasperDesign` | `loadXmlDesign(java.io.InputStream inputStream)` Deprecated. Use `JRXmlLoader.load(InputStream)` instead.
`static JasperDesign` | `loadXmlDesign(java.lang.String fileName)` Deprecated. Use `JRXmlLoader.load(String)` instead.
`static boolean` | `printPage(java.io.InputStream inputStream, int pageIndex, boolean withPrintDialog)` Deprecated. Replaced by `JasperPrintManager.printPage(InputStream, int, boolean)`.
`static boolean` | `printPage(JasperPrint jasperPrint, int pageIndex, boolean withPrintDialog)` Deprecated. Replaced by `JasperPrintManager.printPage(JasperPrint, int, boolean)`.
`static boolean` | `printPage(java.lang.String sourceFileName, int pageIndex, boolean withPrintDialog)` Deprecated. Replaced by `JasperPrintManager.printPage(String, int, boolean)`.
`static boolean` | `printPages(java.io.InputStream inputStream, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)` Deprecated. Replaced by `JasperPrintManager.printPages(InputStream, int, int, boolean)`.
`static boolean` | `printPages(JasperPrint jasperPrint, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)` Deprecated. Replaced by `JasperPrintManager.printPages(JasperPrint, int, int, boolean)`.
`static boolean` | `printPages(java.lang.String sourceFileName, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)` Deprecated. Replaced by `JasperPrintManager.printPages(String, int, int, boolean)`.
`static java.awt.Image` | `printPageToImage(java.io.InputStream inputStream, int pageIndex, float zoom)` Deprecated. Replaced by `JasperPrintManager.printPageToImage(InputStream, int, float)`.
`static java.awt.Image` | `printPageToImage(JasperPrint jasperPrint, int pageIndex, float zoom)` Deprecated. Replaced by `JasperPrintManager.printPageToImage(JasperPrint, int, float)`.
`static java.awt.Image` | `printPageToImage(java.lang.String sourceFileName, int pageIndex, float zoom)` Deprecated. Replaced by `JasperPrintManager.printPageToImage(String, int, float)`.
`static boolean` | `printReport(java.io.InputStream inputStream, boolean withPrintDialog)` Deprecated. Replaced by `JasperPrintManager.printReport(InputStream, boolean)`.
`static boolean` | `printReport(JasperPrint jasperPrint, boolean withPrintDialog)` Deprecated. Replaced by `JasperPrintManager.printReport(JasperPrint, boolean)`.
`static boolean` | `printReport(java.lang.String sourceFileName, boolean withPrintDialog)` Deprecated. Replaced by `JasperPrintManager.printReport(String, boolean)`.
`static byte[]` | `printReportToPdf(JasperPrint jasperPrint)` Deprecated. Replaced by `JasperExportManager.exportReportToPdf(JasperPrint)`.
`static void` | `printReportToPdfFile(JasperPrint jasperPrint, java.lang.String destFileName)` Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(JasperPrint, String)`.
`static java.lang.String` | `printReportToPdfFile(java.lang.String sourceFileName)` Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(String)`.
`static void` | `printReportToPdfFile(java.lang.String sourceFileName, java.lang.String destFileName)` Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(String, String)`.
`static void` | `printReportToPdfStream(java.io.InputStream inputStream, java.io.OutputStream outputStream)` Deprecated. Replaced by `JasperExportManager.exportReportToPdfStream(InputStream, OutputStream)`.
`static void` | `printReportToPdfStream(JasperPrint jasperPrint, java.io.OutputStream outputStream)` Deprecated. Replaced by `JasperExportManager.exportReportToPdfStream(JasperPrint, OutputStream)`.
`static byte[]` | `runReportToPdf(java.io.InputStream inputStream, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperRunManager.runReportToPdf(InputStream, Map, Connection)`.
`static byte[]` | `runReportToPdf(java.io.InputStream inputStream, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperRunManager.runReportToPdf(InputStream, Map, JRDataSource)`.
`static byte[]` | `runReportToPdf(JasperReport jasperReport, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperRunManager.runReportToPdf(JasperReport, Map, Connection)`.
`static byte[]` | `runReportToPdf(JasperReport jasperReport, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperRunManager.runReportToPdf(JasperReport, Map, JRDataSource)`.
`static byte[]` | `runReportToPdf(java.lang.String sourceFileName, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperRunManager.runReportToPdf(String, Map, Connection)`.
`static byte[]` | `runReportToPdf(java.lang.String sourceFileName, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperRunManager.runReportToPdf(String, Map, JRDataSource)`.
`static void` | `runReportToPdfFile(java.lang.String sourceFileName, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperRunManager.runReportToPdfFile(String, Map, Connection)`.
`static void` | `runReportToPdfFile(java.lang.String sourceFileName, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperRunManager.runReportToPdfFile(String, Map, JRDataSource)`.
`static void` | `runReportToPdfFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperRunManager.runReportToPdfFile(String, String, Map, Connection)`.
`static void` | `runReportToPdfFile(java.lang.String sourceFileName, java.lang.String destFileName, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperRunManager.runReportToPdfFile(String, String, Map, JRDataSource)`.
`static void` | `runReportToPdfStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map parameters, java.sql.Connection conn)` Deprecated. Replaced by `JasperRunManager.runReportToPdfStream(InputStream, OutputStream, Map, Connection)`.
`static void` | `runReportToPdfStream(java.io.InputStream inputStream, java.io.OutputStream outputStream, java.util.Map parameters, JRDataSource jrDataSource)` Deprecated. Replaced by `JasperRunManager.runReportToPdfStream(InputStream, OutputStream, Map, JRDataSource)`.
`static java.util.Collection` | `verifyDesign(JasperDesign jasperDesign)` Deprecated. Replaced by `JasperCompileManager.verifyDesign(JasperDesign)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### runReportToPdfFile

    public static void runReportToPdfFile(java.lang.String sourceFileName,
                                          java.util.Map parameters,
                                          java.sql.Connection conn)
                                   throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdfFile(String, Map, Connection)`.

  Throws:
    `JRException`

### runReportToPdfFile

    public static void runReportToPdfFile(java.lang.String sourceFileName,
                                          java.lang.String destFileName,
                                          java.util.Map parameters,
                                          java.sql.Connection conn)
                                   throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdfFile(String, String, Map, Connection)`.

  Throws:
    `JRException`

### runReportToPdfStream

    public static void runReportToPdfStream(java.io.InputStream inputStream,
                                            java.io.OutputStream outputStream,
                                            java.util.Map parameters,
                                            java.sql.Connection conn)
                                     throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdfStream(InputStream, OutputStream, Map, Connection)`.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(java.lang.String sourceFileName,
                                        java.util.Map parameters,
                                        java.sql.Connection conn)
                                 throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdf(String, Map, Connection)`.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(java.io.InputStream inputStream,
                                        java.util.Map parameters,
                                        java.sql.Connection conn)
                                 throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdf(InputStream, Map, Connection)`.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(JasperReport jasperReport,
                                        java.util.Map parameters,
                                        java.sql.Connection conn)
                                 throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdf(JasperReport, Map, Connection)`.

  Throws:
    `JRException`

### runReportToPdfFile

    public static void runReportToPdfFile(java.lang.String sourceFileName,
                                          java.util.Map parameters,
                                          JRDataSource jrDataSource)
                                   throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdfFile(String, Map, JRDataSource)`.

  Throws:
    `JRException`

### runReportToPdfFile

    public static void runReportToPdfFile(java.lang.String sourceFileName,
                                          java.lang.String destFileName,
                                          java.util.Map parameters,
                                          JRDataSource jrDataSource)
                                   throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdfFile(String, String, Map, JRDataSource)`.

  Throws:
    `JRException`

### runReportToPdfStream

    public static void runReportToPdfStream(java.io.InputStream inputStream,
                                            java.io.OutputStream outputStream,
                                            java.util.Map parameters,
                                            JRDataSource jrDataSource)
                                     throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdfStream(InputStream, OutputStream, Map, JRDataSource)`.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(java.lang.String sourceFileName,
                                        java.util.Map parameters,
                                        JRDataSource jrDataSource)
                                 throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdf(String, Map, JRDataSource)`.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(java.io.InputStream inputStream,
                                        java.util.Map parameters,
                                        JRDataSource jrDataSource)
                                 throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdf(InputStream, Map, JRDataSource)`.

  Throws:
    `JRException`

### runReportToPdf

    public static byte[] runReportToPdf(JasperReport jasperReport,
                                        java.util.Map parameters,
                                        JRDataSource jrDataSource)
                                 throws JRException

  Deprecated. Replaced by `JasperRunManager.runReportToPdf(JasperReport, Map, JRDataSource)`.

  Throws:
    `JRException`

### printReportToPdfFile

    public static java.lang.String printReportToPdfFile(java.lang.String sourceFileName)
                                                 throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(String)`.

  Throws:
    `JRException`

### printReportToPdfFile

    public static void printReportToPdfFile(java.lang.String sourceFileName,
                                            java.lang.String destFileName)
                                     throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(String, String)`.

  Throws:
    `JRException`

### printReportToPdfFile

    public static void printReportToPdfFile(JasperPrint jasperPrint,
                                            java.lang.String destFileName)
                                     throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdfFile(JasperPrint, String)`.

  Throws:
    `JRException`

### printReportToPdfStream

    public static void printReportToPdfStream(java.io.InputStream inputStream,
                                              java.io.OutputStream outputStream)
                                       throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdfStream(InputStream, OutputStream)`.

  Throws:
    `JRException`

### printReportToPdfStream

    public static void printReportToPdfStream(JasperPrint jasperPrint,
                                              java.io.OutputStream outputStream)
                                       throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdfStream(JasperPrint, OutputStream)`.

  Throws:
    `JRException`

### printReportToPdf

    public static byte[] printReportToPdf(JasperPrint jasperPrint)
                                   throws JRException

  Deprecated. Replaced by `JasperExportManager.exportReportToPdf(JasperPrint)`.

  Throws:
    `JRException`

### printReport

    public static boolean printReport(java.lang.String sourceFileName,
                                      boolean withPrintDialog)
                               throws JRException

  Deprecated. Replaced by `JasperPrintManager.printReport(String, boolean)`.

  Throws:
    `JRException`

### printReport

    public static boolean printReport(java.io.InputStream inputStream,
                                      boolean withPrintDialog)
                               throws JRException

  Deprecated. Replaced by `JasperPrintManager.printReport(InputStream, boolean)`.

  Throws:
    `JRException`

### printReport

    public static boolean printReport(JasperPrint jasperPrint,
                                      boolean withPrintDialog)
                               throws JRException

  Deprecated. Replaced by `JasperPrintManager.printReport(JasperPrint, boolean)`.

  Throws:
    `JRException`

### printPage

    public static boolean printPage(java.lang.String sourceFileName,
                                    int pageIndex,
                                    boolean withPrintDialog)
                             throws JRException

  Deprecated. Replaced by `JasperPrintManager.printPage(String, int, boolean)`.

  Throws:
    `JRException`

### printPage

    public static boolean printPage(java.io.InputStream inputStream,
                                    int pageIndex,
                                    boolean withPrintDialog)
                             throws JRException

  Deprecated. Replaced by `JasperPrintManager.printPage(InputStream, int, boolean)`.

  Throws:
    `JRException`

### printPage

    public static boolean printPage(JasperPrint jasperPrint,
                                    int pageIndex,
                                    boolean withPrintDialog)
                             throws JRException

  Deprecated. Replaced by `JasperPrintManager.printPage(JasperPrint, int, boolean)`.

  Throws:
    `JRException`

### printPages

    public static boolean printPages(java.lang.String sourceFileName,
                                     int firstPageIndex,
                                     int lastPageIndex,
                                     boolean withPrintDialog)
                              throws JRException

  Deprecated. Replaced by `JasperPrintManager.printPages(String, int, int, boolean)`.

  Throws:
    `JRException`

### printPages

    public static boolean printPages(java.io.InputStream inputStream,
                                     int firstPageIndex,
                                     int lastPageIndex,
                                     boolean withPrintDialog)
                              throws JRException

  Deprecated. Replaced by `JasperPrintManager.printPages(InputStream, int, int, boolean)`.

  Throws:
    `JRException`

### printPages

    public static boolean printPages(JasperPrint jasperPrint,
                                     int firstPageIndex,
                                     int lastPageIndex,
                                     boolean withPrintDialog)
                              throws JRException

  Deprecated. Replaced by `JasperPrintManager.printPages(JasperPrint, int, int, boolean)`.

  Throws:
    `JRException`

### printPageToImage

    public static java.awt.Image printPageToImage(java.lang.String sourceFileName,
                                                  int pageIndex,
                                                  float zoom)
                                           throws JRException

  Deprecated. Replaced by `JasperPrintManager.printPageToImage(String, int, float)`.

  Throws:
    `JRException`

### printPageToImage

    public static java.awt.Image printPageToImage(java.io.InputStream inputStream,
                                                  int pageIndex,
                                                  float zoom)
                                           throws JRException

  Deprecated. Replaced by `JasperPrintManager.printPageToImage(InputStream, int, float)`.

  Throws:
    `JRException`

### printPageToImage

    public static java.awt.Image printPageToImage(JasperPrint jasperPrint,
                                                  int pageIndex,
                                                  float zoom)
                                           throws JRException

  Deprecated. Replaced by `JasperPrintManager.printPageToImage(JasperPrint, int, float)`.

  Throws:
    `JRException`

### fillReportToFile

    public static java.lang.String fillReportToFile(java.lang.String sourceFileName,
                                                    java.util.Map parameters,
                                                    java.sql.Connection conn)
                                             throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReportToFile(String, Map, Connection)`.

  Throws:
    `JRException`

### fillReportToFile

    public static void fillReportToFile(java.lang.String sourceFileName,
                                        java.lang.String destFileName,
                                        java.util.Map parameters,
                                        java.sql.Connection conn)
                                 throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReportToFile(String, String, Map, Connection)`.

  Throws:
    `JRException`

### fillReportToFile

    public static void fillReportToFile(JasperReport jasperReport,
                                        java.lang.String destFileName,
                                        java.util.Map parameters,
                                        java.sql.Connection conn)
                                 throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReportToFile(JasperReport, String, Map, Connection)`.

  Throws:
    `JRException`

### fillReport

    public static JasperPrint fillReport(java.lang.String sourceFileName,
                                         java.util.Map parameters,
                                         java.sql.Connection conn)
                                  throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReport(String, Map, Connection)`.

  Throws:
    `JRException`

### fillReportToStream

    public static void fillReportToStream(java.io.InputStream inputStream,
                                          java.io.OutputStream outputStream,
                                          java.util.Map parameters,
                                          java.sql.Connection conn)
                                   throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReportToStream(InputStream, OutputStream, Map, Connection)`.

  Throws:
    `JRException`

### fillReportToStream

    public static void fillReportToStream(JasperReport jasperReport,
                                          java.io.OutputStream outputStream,
                                          java.util.Map parameters,
                                          java.sql.Connection conn)
                                   throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReportToStream(JasperReport, OutputStream, Map, Connection)`.

  Throws:
    `JRException`

### fillReport

    public static JasperPrint fillReport(java.io.InputStream inputStream,
                                         java.util.Map parameters,
                                         java.sql.Connection conn)
                                  throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReport(InputStream, Map, Connection)`.

  Throws:
    `JRException`

### fillReport

    public static JasperPrint fillReport(JasperReport jasperReport,
                                         java.util.Map parameters,
                                         java.sql.Connection conn)
                                  throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReport(JasperReport, Map, Connection)`.

  Throws:
    `JRException`

### fillReportToFile

    public static java.lang.String fillReportToFile(java.lang.String sourceFileName,
                                                    java.util.Map parameters,
                                                    JRDataSource jrDataSource)
                                             throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReportToFile(String, Map, JRDataSource)`.

  Throws:
    `JRException`

### fillReportToFile

    public static void fillReportToFile(java.lang.String sourceFileName,
                                        java.lang.String destFileName,
                                        java.util.Map parameters,
                                        JRDataSource jrDataSource)
                                 throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReportToFile(String, String, Map, JRDataSource)`.

  Throws:
    `JRException`

### fillReportToFile

    public static void fillReportToFile(JasperReport jasperReport,
                                        java.lang.String destFileName,
                                        java.util.Map parameters,
                                        JRDataSource jrDataSource)
                                 throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReportToFile(JasperReport, String, Map, JRDataSource)`.

  Throws:
    `JRException`

### fillReport

    public static JasperPrint fillReport(java.lang.String sourceFileName,
                                         java.util.Map parameters,
                                         JRDataSource jrDataSource)
                                  throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReport(String, Map, JRDataSource)`.

  Throws:
    `JRException`

### fillReportToStream

    public static void fillReportToStream(java.io.InputStream inputStream,
                                          java.io.OutputStream outputStream,
                                          java.util.Map parameters,
                                          JRDataSource jrDataSource)
                                   throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReportToStream(InputStream, OutputStream, Map, JRDataSource)`.

  Throws:
    `JRException`

### fillReportToStream

    public static void fillReportToStream(JasperReport jasperReport,
                                          java.io.OutputStream outputStream,
                                          java.util.Map parameters,
                                          JRDataSource jrDataSource)
                                   throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReportToStream(JasperReport, OutputStream, Map, JRDataSource)`.

  Throws:
    `JRException`

### fillReport

    public static JasperPrint fillReport(java.io.InputStream inputStream,
                                         java.util.Map parameters,
                                         JRDataSource jrDataSource)
                                  throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReport(InputStream, Map, JRDataSource)`.

  Throws:
    `JRException`

### fillReport

    public static JasperPrint fillReport(JasperReport jasperReport,
                                         java.util.Map parameters,
                                         JRDataSource jrDataSource)
                                  throws JRException

  Deprecated. Replaced by `JasperFillManager.fillReport(JasperReport, Map, JRDataSource)`.

  Throws:
    `JRException`

### compileReportToFile

    public static java.lang.String compileReportToFile(java.lang.String sourceFileName)
                                                throws JRException

  Deprecated. Replaced by `JasperCompileManager.compileReportToFile(String)`.

  Throws:
    `JRException`

### compileReportToFile

    public static void compileReportToFile(java.lang.String sourceFileName,
                                           java.lang.String destFileName)
                                    throws JRException

  Deprecated. Replaced by `JasperCompileManager.compileReportToFile(String, String)`.

  Throws:
    `JRException`

### compileReportToFile

    public static void compileReportToFile(JasperDesign jasperDesign,
                                           java.lang.String destFileName)
                                    throws JRException

  Deprecated. Replaced by `JasperCompileManager.compileReportToFile(JasperDesign, String)`.

  Throws:
    `JRException`

### compileReport

    public static JasperReport compileReport(java.lang.String sourceFileName)
                                      throws JRException

  Deprecated. Replaced by `JasperCompileManager.compileReport(String)`.

  Throws:
    `JRException`

### compileReportToStream

    public static void compileReportToStream(java.io.InputStream inputStream,
                                             java.io.OutputStream outputStream)
                                      throws JRException

  Deprecated. Replaced by `JasperCompileManager.compileReportToStream(InputStream, OutputStream)`.

  Throws:
    `JRException`

### compileReportToStream

    public static void compileReportToStream(JasperDesign jasperDesign,
                                             java.io.OutputStream outputStream)
                                      throws JRException

  Deprecated. Replaced by `JasperCompileManager.compileReportToStream(JasperDesign, OutputStream)`.

  Throws:
    `JRException`

### compileReport

    public static JasperReport compileReport(java.io.InputStream inputStream)
                                      throws JRException

  Deprecated. Replaced by `JasperCompileManager.compileReport(InputStream)`.

  Throws:
    `JRException`

### compileReport

    public static JasperReport compileReport(JasperDesign jasperDesign)
                                      throws JRException

  Deprecated. Replaced by `JasperCompileManager.compileReport(JasperDesign)`.

  Throws:
    `JRException`

### verifyDesign

    public static java.util.Collection verifyDesign(JasperDesign jasperDesign)

  Deprecated. Replaced by `JasperCompileManager.verifyDesign(JasperDesign)`.

### loadDesign

    public static JasperDesign loadDesign(java.lang.String fileName)
                                   throws JRException

  Deprecated. Use `JRLoader.loadObject(String)` with the appropriate cast.

  Throws:
    `JRException`

### loadDesign

    public static JasperDesign loadDesign(java.io.InputStream inputStream)
                                   throws JRException

  Deprecated. Use `JRLoader.loadObject(InputStream)` with the appropriate cast.

  Throws:
    `JRException`

### loadXmlDesign

    public static JasperDesign loadXmlDesign(java.lang.String fileName)
                                      throws JRException

  Deprecated. Use `JRXmlLoader.load(String)` instead.

  Throws:
    `JRException`

### loadXmlDesign

    public static JasperDesign loadXmlDesign(java.io.InputStream inputStream)
                                      throws JRException

  Deprecated. Use `JRXmlLoader.load(InputStream)` instead.

  Throws:
    `JRException`

### loadReport

    public static JasperReport loadReport(java.lang.String fileName)
                                   throws JRException

  Deprecated. Use `JRLoader.loadObject(String)` with the appropriate cast.

  Throws:
    `JRException`

### loadReport

    public static JasperReport loadReport(java.io.InputStream inputStream)
                                   throws JRException

  Deprecated. Use `JRLoader.loadObject(InputStream)` with the appropriate cast.

  Throws:
    `JRException`

### loadPrint

    public static JasperPrint loadPrint(java.lang.String fileName)
                                 throws JRException

  Deprecated. Use `JRLoader.loadObject(String)` with the appropriate cast.

  Throws:
    `JRException`

### loadPrint

    public static JasperPrint loadPrint(java.io.InputStream inputStream)
                                 throws JRException

  Deprecated. Use `JRLoader.loadObject(InputStream)` with the appropriate cast.

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com